package com.jeethink.flow.service;

import com.jeethink.flow.domain.FlowRecord;
import com.jeethink.flow.domain.FlowStep;

import java.util.List;

public interface IFlowService {

    void insertFlow(String objectId, String flowType);

    void updateFlow(String objectId, String flowType, String status, String remark);

    void finishFlow(String objectId, String flowType);

    void destroyFlow(String objectId, String flowType);

    List<FlowRecord> selectRecord(String objectId, String flowType);

    List<FlowStep> selectStepsByFlowType(String flowType);
}
